Default Field Values¶
Search Personal Default Values Configs¶
HTTP Request
POST /api/personal-default-values-config/search
📋 Description: Submits a request to search for personal default values configurations within the Nakisa Portfolio Management Suite, enabling users to efficiently manage portfolio, asset, and real estate property analytics.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the search criteria for personal default values configuration related to portfolio, asset, analytics, and real estate property management. |
Body Parameters
1{
2 "idIn": [
3 0
4 ],
5 "idEqual": 0,
6 "idLike": "string",
7 "createdAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
8 "createdAtLessThanOrEqual": "2019-08-24T14:15:22Z",
9 "createdByLike": "string",
10 "createdByEqual": "string",
11 "modifiedAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
12 "modifiedAtLessThanOrEqual": "2019-08-24T14:15:22Z",
13 "modifiedByLike": "string",
14 "modifiedByEqual": "string",
15 "levelEqual": "APPLICATION",
16 "levelIn": [
17 "APPLICATION"
18 ],
19 "controlEqual": "LOCKED",
20 "controlIn": [
21 "LOCKED"
22 ],
23 "statusEqual": "ENABLED",
24 "statusIn": [
25 "ENABLED"
26 ],
27 "fieldEqual": "FOS_ERP_SYSTEM",
28 "fieldIn": [
29 "FOS_ERP_SYSTEM"
30 ],
31 "conditionsEqual": {
32 "id": 0,
33 "conditionValueInfo": [
34 {
35 "id": 0,
36 "label": "string",
37 "value": "string"
38 }
39 ],
40 "field": "FOS_ERP_SYSTEM"
41 }
42}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalElements": 0,
3 "totalPages": 0,
4 "numberOfElements": 0,
5 "pageable": {
6 "unpaged": true,
7 "paged": true,
8 "pageNumber": 0,
9 "pageSize": 0,
10 "offset": 0,
11 "sort": {
12 "unsorted": true,
13 "sorted": true,
14 "empty": true
15 }
16 },
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "level": "APPLICATION",
22 "control": "LOCKED",
23 "status": "ENABLED",
24 "defaultFieldInfo": {
25 "id": 0,
26 "label": "string",
27 "value": "string"
28 },
29 "field": "FOS_ERP_SYSTEM",
30 "conditions": [
31 {
32 "id": 0,
33 "conditionValueInfo": [
34 {
35 "id": 0,
36 "label": "string",
37 "value": "string"
38 }
39 ],
40 "field": "FOS_ERP_SYSTEM"
41 }
42 ],
43 "overrideBy": {}
44 }
45 ],
46 "number": 0,
47 "sort": {
48 "unsorted": true,
49 "sorted": true,
50 "empty": true
51 },
52 "first": true,
53 "last": true,
54 "empty": true
55}
Search Application Default Values Configs¶
HTTP Request
POST /api/application-default-values-config/search
📋 Description: Submits a request to search for application default values configurations within the Nakisa Portfolio Management Suite, enabling users to efficiently manage portfolio, asset, and real estate property analytics.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing search criteria and filters for retrieving default values related to portfolio, asset, and real estate property analytics within the Nakisa Portfolio Management Suite. |
Body Parameters
1{
2 "idIn": [
3 0
4 ],
5 "idEqual": 0,
6 "idLike": "string",
7 "createdAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
8 "createdAtLessThanOrEqual": "2019-08-24T14:15:22Z",
9 "createdByLike": "string",
10 "createdByEqual": "string",
11 "modifiedAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
12 "modifiedAtLessThanOrEqual": "2019-08-24T14:15:22Z",
13 "modifiedByLike": "string",
14 "modifiedByEqual": "string",
15 "levelEqual": "APPLICATION",
16 "levelIn": [
17 "APPLICATION"
18 ],
19 "controlEqual": "LOCKED",
20 "controlIn": [
21 "LOCKED"
22 ],
23 "statusEqual": "ENABLED",
24 "statusIn": [
25 "ENABLED"
26 ],
27 "fieldEqual": "FOS_ERP_SYSTEM",
28 "fieldIn": [
29 "FOS_ERP_SYSTEM"
30 ],
31 "conditionsEqual": {
32 "id": 0,
33 "conditionValueInfo": [
34 {
35 "id": 0,
36 "label": "string",
37 "value": "string"
38 }
39 ],
40 "field": "FOS_ERP_SYSTEM"
41 }
42}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalElements": 0,
3 "totalPages": 0,
4 "numberOfElements": 0,
5 "pageable": {
6 "unpaged": true,
7 "paged": true,
8 "pageNumber": 0,
9 "pageSize": 0,
10 "offset": 0,
11 "sort": {
12 "unsorted": true,
13 "sorted": true,
14 "empty": true
15 }
16 },
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "level": "APPLICATION",
22 "control": "LOCKED",
23 "status": "ENABLED",
24 "defaultFieldInfo": {
25 "id": 0,
26 "label": "string",
27 "value": "string"
28 },
29 "field": "FOS_ERP_SYSTEM",
30 "conditions": [
31 {
32 "id": 0,
33 "conditionValueInfo": [
34 {
35 "id": 0,
36 "label": "string",
37 "value": "string"
38 }
39 ],
40 "field": "FOS_ERP_SYSTEM"
41 }
42 ],
43 "overrideBy": {}
44 }
45 ],
46 "number": 0,
47 "sort": {
48 "unsorted": true,
49 "sorted": true,
50 "empty": true
51 },
52 "first": true,
53 "last": true,
54 "empty": true
55}
Get Personal Default Values Config¶
HTTP Request
GET /api/personal-default-values-config/{id}
📋 Description: Retrieves the personal default values configuration for a specified asset within the Nakisa Portfolio Management Suite, enabling users to access tailored settings for portfolio and real estate property analytics.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "id": 0,
3 "level": "APPLICATION",
4 "control": "LOCKED",
5 "status": "ENABLED",
6 "defaultFieldInfo": {
7 "id": 0,
8 "label": "string",
9 "value": "string"
10 },
11 "field": "FOS_ERP_SYSTEM",
12 "conditions": [
13 {
14 "id": 0,
15 "conditionValueInfo": [
16 {
17 "id": 0,
18 "label": "string",
19 "value": "string"
20 }
21 ],
22 "field": "FOS_ERP_SYSTEM"
23 }
24 ],
25 "overrideBy": {
26 "id": 0,
27 "level": "APPLICATION",
28 "control": "LOCKED",
29 "status": "ENABLED",
30 "defaultFieldInfo": {
31 "id": 0,
32 "label": "string",
33 "value": "string"
34 },
35 "field": "FOS_ERP_SYSTEM",
36 "conditions": [
37 {
38 "id": 0,
39 "conditionValueInfo": [
40 {
41 "id": 0,
42 "label": "string",
43 "value": "string"
44 }
45 ],
46 "field": "FOS_ERP_SYSTEM"
47 }
48 ],
49 "overrideBy": {}
50 }
51}
Get Application Default Values Config¶
HTTP Request
GET /api/application-default-values-config/{id}
📋 Description: Fetches the default configuration values for a specified application within the Nakisa Portfolio Management Suite, facilitating effective portfolio, asset, and real estate property management and analytics.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "id": 0,
3 "level": "APPLICATION",
4 "control": "LOCKED",
5 "status": "ENABLED",
6 "defaultFieldInfo": {
7 "id": 0,
8 "label": "string",
9 "value": "string"
10 },
11 "field": "FOS_ERP_SYSTEM",
12 "conditions": [
13 {
14 "id": 0,
15 "conditionValueInfo": [
16 {
17 "id": 0,
18 "label": "string",
19 "value": "string"
20 }
21 ],
22 "field": "FOS_ERP_SYSTEM"
23 }
24 ],
25 "overrideBy": {
26 "id": 0,
27 "level": "APPLICATION",
28 "control": "LOCKED",
29 "status": "ENABLED",
30 "defaultFieldInfo": {
31 "id": 0,
32 "label": "string",
33 "value": "string"
34 },
35 "field": "FOS_ERP_SYSTEM",
36 "conditions": [
37 {
38 "id": 0,
39 "conditionValueInfo": [
40 {
41 "id": 0,
42 "label": "string",
43 "value": "string"
44 }
45 ],
46 "field": "FOS_ERP_SYSTEM"
47 }
48 ],
49 "overrideBy": {}
50 }
51}